haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | None

Haskore.Interface.CSound.Note

# Documentation

data T Source

Constructors

Cons |

Fields

parameters :: [PField]
velocity :: Velocity
instrument :: Instrument
pitch :: Maybe Absolute

fromRhyNote :: RealFrac dyn => ToSound drum -> ToSound instr -> dyn -> Relative -> Note drum instr -> T Source

velocityFromStd :: RealFrac dyn => dyn -> Rational -> Velocity Source

pitchFromStd :: Relative -> T -> Absolute Source

velocityToDb :: Float -> Float Source

amplitudeToDb :: Float -> Float Source

zeroKey :: Int Source